import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/sign_up/domain/entities/sign_up_request_entity.dart';
import 'package:auth/src/features/sign_up/domain/sign_up_use_case.dart';

class SignUpUseCaseImpl implements SignUpUseCase {
  SignUpUseCaseImpl(this._repository);

  final AuthRepository _repository;

  @override
  Future<String> signUp({required SignUpRequestEntity request}) {
    return _repository.signUp(request: request);
  }
}
